Subject: Re: bug#39865: 28.0.50; Emacs crash

From: Vinicius José Latorre <[email-masked]>
Date: Tue, 10 Mar 2020 16:03:12 -0300

> I donʼt remember seeing: was your emacs built with cairo or with xft?
> With or without HarfBuzz? Because I canʼt get an xft+hb build to
> crash when switching the font-backend to 'xft'.

The line below in my ~/.emacs was crashing emacs at start time.

(push '(font-backend xft x) default-frame-alist)

Without the line above, all works right.

If emacs is started with -Q and then loading ~/.emacs with the line above
also works right, the problem is at starting time with that line.

The libharfbuzz* packages are installed in my GNU Debian.

On Tue, Mar 10, 2020 at 12:20 PM Robert Pluim <[email-masked]> wrote:

> >>>>> On Tue, 10 Mar 2020 11:54:53 -0300, Vinicius José Latorre <
> [email-masked]> said:
>
>     >> AFAIU, the problem in this case wasn't that the backend wasn't
>     >> supported, it was that it was changed in the middle of a session.
>
>     Vinicius> Yes, but only at emacs starting (~/.emacs evaluation), after
> starting there
>     Vinicius> is no problem to set a font-backend.
>
> I donʼt remember seeing: was your emacs built with cairo or with xft?
> With or without HarfBuzz? Because I canʼt get an xft+hb build to
> crash when switching the font-backend to 'xft'.
>
> Robert
>